Name:          directory-project
Version:       35
Release:       %mkrel 6
Summary:       Apache Directory Project Root pom
Group:         Development/Java
License:       ASL 2.0
Url:           https://directory.apache.org/
# svn export http://svn.apache.org/repos/asf/directory/project/tags/35 directory-project-35
# tar cJf directory-project-35.tar.xz directory-project-35
Source0:       directory-project-35.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:     noarch

%description
The Apache Directory Project provides directory solutions
entirely written in Java. These include a directory server,
which has been certified as LDAP v3 compliant by the
Open Group (Apache Directory Server), and Eclipse-based
directory tools (Apache Directory Studio).

%prep
%setup -q
%pom_remove_plugin :tools-maven-plugin
%pom_remove_plugin :maven-xbean-plugin
%pom_remove_plugin :clirr-maven-plugin
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :dashboard-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :javancss-maven-plugin
%pom_remove_plugin :jdepend-maven-plugin
%pom_remove_plugin :l10n-maven-plugin
%pom_remove_plugin :taglist-maven-plugin
%pom_remove_plugin :versions-maven-plugin
%pom_remove_plugin :docbkx-maven-plugin

%pom_remove_plugin :maven-site-plugin

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.txt
%license LICENSE.txt NOTICE.txt



%changelog
* Thu May 23 2024 ns80 <ns80> 35-6.mga10
+ Revision: 2066529
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 35-5.mga9
+ Revision: 1827281
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 35-4.mga8
+ Revision: 1489324
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 35-3.mga7
+ Revision: 1260358
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 35-2.mga6
+ Revision: 982216
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 35-1.mga6
+ Revision: 980909
- First rebuild of the java stack
- sync package directory-project with fedora (update to 35)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Dec 28 2014 dmorgan <dmorgan> 27-8.mga5
+ Revision: 806952
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 27-6.mga5
+ Revision: 751100
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 dmorgan <dmorgan> 27-4.mga4
+ Revision: 558578
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 27-2.mga3
+ Revision: 348824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 25 2012 dmorgan <dmorgan> 27-1.mga3
+ Revision: 263537
- imported package directory-project


* Sun May 20 2012 gil cattaneo <puntogil@libero.it> 27-1
- initial rpm

